%define lib_major 7
%define lib_name %mklibname gnomespeech %{lib_major}
%define last_abi_break_version 0.3.2

Summary: Simple general API for producing text-to-speech output
Name: gnome-speech
Version: 0.3.7
Release: 2mdk
License: LGPL
Group: Accessibility
URL: http://developer.gnome.org/projects/gap/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.2.4-1mdk add missing file
Patch0:	gnome-speech-0.2.4-missingfile.patch.bz2
# (fc) 0.3.7-2mdk fix crash with festival (Mdk bug #16458)
Patch1: gnome-speech-0.3.7-festivalcrash.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libbonobo-activation-devel
BuildRequires: autoconf2.5
BuildRequires: gnome-common
Requires: festival
Obsoletes: gnome_speech
Provides: gnome_speech = %{version}-%{release}

%description
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package -n %{lib_name}
Summary:	 Simple general API for producing text-to-speech output
Group:		%{group}

Provides:	lib%{name} = %{version}-%{release}
Requires:   %{name} >= %{version}-%{release}


%description -n %{lib_name}
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for gnome_speech
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libgnomespeech-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:   libbonobo2_x-devel
Conflicts:  lib%{name}-devel < %{last_abi_break_version}

%description -n %{lib_name}-devel
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%prep
%setup -q
%patch0 -p1 -b .missingfile
%patch1 -p1 -b .festivalcrash

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_bindir}/*
%{_datadir}/idl/*
%{_libdir}/orbit-2.0/*.so
%{_libdir}/bonobo/servers/*

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*

%changelog
* Tue Jul 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.7-2mdk 
- Patch1 (CVS): fix crash with festival (Mdk bug #16458)

* Wed May 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.7-1mdk
- New release 0.3.7

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.6-1mdk 
- Release 0.3.6
- Remove patch1 (no longer needed)

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.5-1mdk
- New release 0.3.5
- Fix java detection

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-3mdk
- fix devel requires (sync with AMD64)

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-2mdk
- Add conflicts to easy upgrading

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2

* Wed Nov 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.8-1mdk
- Release 0.2.8

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com>  0.2.7-1mdk
- Release 0.2.7

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.6-1mdk
- Release 0.2.6

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.4-1mdk
- Release 0.2.4
- Patch0: add missing file from tarball

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.3-2mdk
- Rebuild for latest deps

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.3-1mdk
- Release 0.2.3

* Wed Jun  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.2-1mdk
- Release 0.2.2
- Change name from gnome_speech to gnome-speech

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.1-1mdk
- Release 0.2.1

* Fri May  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.0-1mdk
- Initial Mandrake package
- force festival dependency, we don't have any other text-to-speech engine

* Fri May  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 
- Initial build.


